Subject: Re: Does the Netxen driver work?

From: Chuck Ebbert <[email-masked]>
Date: Mon, 09 Jul 2007 13:31:46 -0400

On 07/06/2007 03:05 PM, Ben Greear wrote:
> Hello!
> 
> I just got some Netxen 10Gbe CX4 adapters and put them into freshly
> updated Fedora 7 64-bit systems.  So far, I am not having much luck.
> 
> Kernel is:  Official F7  2.6.21-1.3228.fc7
> 
> NIC:
> 01:00.0 Ethernet controller: NetXen Incorporated NXB-10GCX4 10 Gigabit
> Ethernet PCIe Adapter with CX4 copper interface (rev 25)
> 
> The motherboard chipset is Intel based (I can provide more info is someone
> cares..but I first wanted to make sure there are no well-known issues.)
> 
> Interesting boot messages:
> 
> Jul  5 16:15:17 a440-dc kernel: ACPI: PCI Interrupt 0000:01:00.0[A] ->
> GSI 16 (level, low) -> IRQ 16
> Jul  5 16:15:17 a440-dc kernel: netxen-nic: unable to allocate MSI
> interrupt error
> Jul  5 16:15:17 a440-dc kernel: netxen-nic: XGbE board initialized
> 
> Is that MSI error fatal?
> 

Try kernel option "pci=msi".

MSI causes so many problems in 2.6.20/2.6.21 that Fedora turned it off by default.